<template>
  <v-navigation-drawer
    app
    enable-resize-watcher
    fixed
    temporary
    v-model="navDrawer"
  >
    <v-layout
      column
      fill-height
      justify-center
    >
      <v-flex>
        <v-list class="mt-0 pt-0">
          <v-flex v-if="isTokenSet" class="py-3 pl-3 white--text grey darken-3"
                  style="height: 130px">
            <v-layout class="row no-wrap align-center mb-2">
              <v-avatar class="mr-4">
                <img
                  src="https://cdn2.iconfinder.com/data/icons/circle-avatars-1/128/050_girl_avatar_profile_woman_suit_student_officer-512.png">
              </v-avatar>
              <div>
                <h1>Гражданин</h1>
                <span>{{ (user) ? user.username : 'Екатерина иванова' }}</span>
                <br>
                <span>Рейтинг 86</span>
              </div>
            </v-layout>
            <span class="font-weight-bold white--text">{{ (user) ? user.email : 'email@mail.ru' }}</span>
          </v-flex>

          <v-list-tile
            :key="index"
            :to="{ name: item.link }"
            exact
            v-for="(item, index) in menuItems"
          >
            <v-list-tile-action>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>{{ item.title }}</v-list-tile-content>
          </v-list-tile>

          <v-list-tile @click="userLogout" v-if="isTokenSet">
            <v-list-tile-action>
              <v-icon>exit_to_app</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              {{ $t('menuItems.LOGOUT') }}
            </v-list-tile-content>
          </v-list-tile>
        </v-list>
      </v-flex>
    </v-layout>
  </v-navigation-drawer>
</template>

<script>
  import { mapGetters } from 'vuex'
  import { getMenuItems } from '@/utils/getMenuItems'

  export default {
    name: 'CoreNavDrawer',
    computed: {
      ...mapGetters(['appTitle', 'isTokenSet', 'user']),
      navDrawer: {
        set (val) {
          this.$store.commit('setNavDrawer', val)
        },
        get () {
          return this.$store.getters.navDrawer
        }
      },
      menuItems () {
        return getMenuItems(this.isTokenSet, this.user.type)
      }
    },
    methods: {
      userLogout () {
        this.$store.dispatch('userLogout')
      }
    }
  }
</script>
